<defaultCollapsible [title]="FILE_PATH_TITLE"
                    [isCollapsed]="isCollapsed" (collapseChange)="changeCollapse($event)">
  <!-- =========================================================================================================== -->
  <!--                            Assignment Part: Type, Title, Points, Description                                -->
  <!-- =========================================================================================================== -->
  <div *ngIf="fileSystem" fxLayout="column">
    <raamCard title="" fxFlex>
      <div fxLayout="column" fxFlexOffset="5">
        <fsEntry *ngFor="let file of fileSystem"
                 [name]='file.name'
                 [type]='file.type'
                 [sub]='file.sub'
                 (chosen)="setFilePath($event)"></fsEntry>
      </div>
    </raamCard>
  </div>
</defaultCollapsible>
